(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     35847,       1049]
NotebookOptionsPosition[     35034,       1022]
NotebookOutlinePosition[     35435,       1039]
CellTagsIndexPosition[     35392,       1036]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{
  RowBox[{"Quiet", "@", 
   RowBox[{"Remove", "[", "\"\<Global`*\>\"", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"$HistoryLength", "=", "2"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"SetDirectory", "[", 
    RowBox[{"NotebookDirectory", "[", "]"}], "]"}], ";"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"Zajimave", " ", "si", " ", "vsimout", " ", "jevu"}], ",", " ", 
    RowBox[{
     RowBox[{
      RowBox[{
      "ktery", " ", "by", " ", "bez", " ", "ventilatorove", " ", 
       "charakteristiky", " ", 
       RowBox[{"(", 
        RowBox[{"kz", "\[Rule]", "0"}], ")"}], " ", "nemohl", " ", "nastat", 
       " ", 
       RowBox[{"(", 
        RowBox[{"vysvetlete", " ", "a", " ", "dokazte", " ", 
         RowBox[{"proc", "!"}]}], ")"}]}], ":", " ", 
      RowBox[{
      "zkuste", " ", "si", " ", "spustit", " ", "reseni", " ", "s", " ", 
       "u"}]}], "\[Rule]", 
     RowBox[{
      RowBox[{"1", " ", "a", " ", "u"}], "\[Rule]", 
      RowBox[{
      "10", " ", "a", " ", "v", " ", "prvnim", " ", "pripade", " ", "je", " ",
        "jev", " ", "kmitavy"}]}]}], ",", " ", 
    RowBox[{"v", " ", "druhem", " ", 
     RowBox[{"nekmita", "!"}]}]}], "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"sign", ":=", 
   RowBox[{
    RowBox[{"Tanh", "[", 
     RowBox[{"50.", "#"}], "]"}], "&"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"rcedif", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"u", "\[Equal]", 
      RowBox[{
       RowBox[{"La", "*", 
        RowBox[{
         RowBox[{"ia", "'"}], "[", "t", "]"}]}], "+", 
       RowBox[{"Ra", "*", 
        RowBox[{"ia", "[", "t", "]"}]}], "+", 
       RowBox[{"ui", "[", "t", "]"}]}]}], ",", 
     RowBox[{
      RowBox[{"ui", "[", "t", "]"}], "\[Equal]", 
      RowBox[{"k", "*", 
       RowBox[{"\[Omega]", "[", "t", "]"}]}]}], ",", 
     RowBox[{
      RowBox[{"J", "*", 
       RowBox[{
        RowBox[{"\[Omega]", "'"}], "[", "t", "]"}]}], "\[Equal]", 
      RowBox[{
       RowBox[{"k", "*", 
        RowBox[{"ia", "[", "t", "]"}]}], "-", 
       RowBox[{"B", "*", 
        RowBox[{"\[Omega]", "[", "t", "]"}]}], "-", 
       RowBox[{"kz", "*", 
        SuperscriptBox[
         RowBox[{"\[Omega]", "[", "t", "]"}], "2"]}]}]}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"pocs", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"\[Omega]", "[", "0", "]"}], "\[Equal]", "0"}], ",", 
     RowBox[{
      RowBox[{"ia", "[", "0", "]"}], "\[Equal]", "0"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"dos1", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"La", "\[Rule]", "1"}], ",", 
     RowBox[{"Ra", "\[Rule]", "0.5"}], ",", 
     RowBox[{"k", "\[Rule]", "2"}], ",", 
     RowBox[{"B", "\[Rule]", ".3"}], ",", 
     RowBox[{"kz", "\[Rule]", "0.4"}], ",", 
     RowBox[{"J", "\[Rule]", 
      RowBox[{"1.5", "*", 
       SuperscriptBox["10", 
        RowBox[{"-", "1"}]]}]}], ",", 
     RowBox[{"u", "\[Rule]", "100"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"rce", "=", 
   RowBox[{
    RowBox[{"Union", "[", 
     RowBox[{"pocs", ",", "rcedif"}], "]"}], "/.", "dos1"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"nezname", "=", 
   RowBox[{"Union", "@", 
    RowBox[{"Cases", "[", 
     RowBox[{"rce", ",", 
      RowBox[{
       RowBox[{"a_Symbol", "[", "t", "]"}], "\[RuleDelayed]", "a"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "\[Infinity]"}], "}"}]}], "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tmax", "=", "5"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"res", "=", 
   RowBox[{
    RowBox[{"NDSolve", "[", 
     RowBox[{"rce", ",", "nezname", ",", 
      RowBox[{"{", 
       RowBox[{"t", ",", "0", ",", "tmax"}], "}"}]}], "]"}], "[", 
    RowBox[{"[", "1", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"\[Omega]", "[", "t", "]"}], "/.", "res"}], ",", 
      RowBox[{
       RowBox[{"ia", "[", "t", "]"}], "/.", "res"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"t", ",", "0", ",", "tmax"}], "}"}], ",", 
    RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
    RowBox[{"PlotStyle", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"Red", ",", "Thick"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"Blue", ",", "Thick"}], "}"}]}], "}"}]}], ",", 
    RowBox[{"AxesLabel", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"\"\<t [s]\>\"", ",", "\"\<\!\(\*
StyleBox[\"\[Omega]\",
FontColor->RGBColor[1, 0, 0]]\)\!\(\*
StyleBox[\" \",
FontColor->RGBColor[1, 0, 0]]\)\!\(\*
StyleBox[\"[\",
FontColor->RGBColor[1, 0, 0]]\)\!\(\*
StyleBox[SuperscriptBox[\"s\", 
RowBox[{\"-\", \"1\"}]],
FontColor->RGBColor[1, 0, 0]]\)\!\(\*
StyleBox[\"]\",
FontColor->RGBColor[1, 0, 0]]\)\!\(\*
StyleBox[\" \",
FontColor->RGBColor[1, 0, 0]]\) \!\(\*
StyleBox[\"ia\",
FontColor->RGBColor[0, 0, 1]]\)\!\(\*
StyleBox[\" \",
FontColor->RGBColor[0, 0, 1]]\)\!\(\*
StyleBox[\"[\",
FontColor->RGBColor[0, 0, 1]]\)\!\(\*
StyleBox[\"A\",
FontColor->RGBColor[0, 0, 1]]\)\!\(\*
StyleBox[\"]\",
FontColor->RGBColor[0, 0, 1]]\)\>\""}], "}"}]}], ",", 
    RowBox[{"GridLines", "\[Rule]", "Automatic"}]}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"gr1", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"\[Omega]", "[", "t", "]"}], "/.", "res"}], ",", 
       RowBox[{
        RowBox[{"ia", "[", "t", "]"}], "/.", "res"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", "0", ",", "tmax"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"Red", ",", "Thick"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"Blue", ",", "Thick"}], "}"}]}], "}"}]}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<t [s]\>\"", ",", "\"\<\!\(\*
StyleBox[\"\[Omega]\",
FontColor->RGBColor[1, 0, 0]]\)\!\(\*
StyleBox[\" \",
FontColor->RGBColor[1, 0, 0]]\)\!\(\*
StyleBox[\"[\",
FontColor->RGBColor[1, 0, 0]]\)\!\(\*
StyleBox[SuperscriptBox[\"s\", 
RowBox[{\"-\", \"1\"}]],
FontColor->RGBColor[1, 0, 0]]\)\!\(\*
StyleBox[\"]\",
FontColor->RGBColor[1, 0, 0]]\)\!\(\*
StyleBox[\" \",
FontColor->RGBColor[1, 0, 0]]\) \!\(\*
StyleBox[\"ia\",
FontColor->RGBColor[0, 0, 1]]\)\!\(\*
StyleBox[\" \",
FontColor->RGBColor[0, 0, 1]]\)\!\(\*
StyleBox[\"[\",
FontColor->RGBColor[0, 0, 1]]\)\!\(\*
StyleBox[\"A\",
FontColor->RGBColor[0, 0, 1]]\)\!\(\*
StyleBox[\"]\",
FontColor->RGBColor[0, 0, 1]]\)\>\""}], "}"}]}], ",", 
     RowBox[{"GridLines", "\[Rule]", "Automatic"}]}], "]"}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{
  3.67739446709375*^9, {3.677394591203125*^9, 3.6773951425*^9}, {
   3.67835134171875*^9, 3.678351390125*^9}, {3.678351442515625*^9, 
   3.678351477765625*^9}, {3.678351514734375*^9, 3.67835169046875*^9}, {
   3.6783517318125*^9, 3.678351774859375*^9}, {3.678351810515625*^9, 
   3.678351929921875*^9}, 3.678351964359375*^9, {3.67836093278125*^9, 
   3.67836098834375*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"ClearAll", "[", 
   RowBox[{
   "rSteady1", ",", "\[Omega]", ",", "uSteady1", ",", "uSteady2", ",", "u"}], 
   "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"rSteady1", "[", "\[Omega]_", "]"}], "=", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"rcedif", "/.", 
       RowBox[{
        RowBox[{
         RowBox[{"_", "'"}], "[", "t", "]"}], "\[RuleDelayed]", "0"}]}], 
      ")"}], "/.", 
     RowBox[{
      RowBox[{"a_", "[", "t", "]"}], "\[RuleDelayed]", "a"}]}]}], ";"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"if", " ", "easily", " ", "possible"}], ",", " ", 
    RowBox[{
     RowBox[{
     "it", " ", "would", " ", "be", " ", "interesting", " ", "and", " ", 
      "sometimes", " ", "profitable", " ", "for", " ", "programming"}], 
     "..."}]}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"solGeneral", "=", 
    RowBox[{
     RowBox[{
      RowBox[{"Solve", "[", 
       RowBox[{
        RowBox[{"rSteady1", "[", "\[Omega]", "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"ia", ",", "u", ",", "ui"}], "}"}]}], "]"}], "[", 
      RowBox[{"[", "1", "]"}], "]"}], "//", "Simplify"}]}], ";"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{"numerical", " ", "solution"}], "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"uSteady1", "[", "\[Omega]_", "]"}], ":=", 
    RowBox[{"u", "/.", 
     RowBox[{
      RowBox[{"Solve", "[", 
       RowBox[{
        RowBox[{"rSteady1", "[", "\[Omega]", "]"}], "/.", 
        RowBox[{"DeleteCases", "[", 
         RowBox[{"dos1", ",", 
          RowBox[{"u", "\[Rule]", "_"}]}], "]"}]}], "]"}], "[", 
      RowBox[{"[", "1", "]"}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{"using", " ", "analytical", " ", "solGeneral"}], 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"uSteady2", "[", "\[Omega]_", "]"}], "=", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"u", "/.", "solGeneral"}], ")"}], "/.", "dos1"}]}]}], "Input",
 CellChangeTimes->{{3.678351991421875*^9, 3.67835204675*^9}, {
  3.678352080640625*^9, 3.67835240303125*^9}, {3.678352441046875*^9, 
  3.67835251171875*^9}, {3.6783527504375*^9, 3.678352971421875*^9}, {
  3.678353456125*^9, 3.6783534565*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "The", " ", "solution", " ", "based", " ", "on", " ", "symbolic", " ", 
    "access", " ", "is", " ", "reasonably", " ", 
    RowBox[{"faster", "!"}]}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"time", "[", 
      RowBox[{"f_", ",", "nEvaluations_Integer"}], "]"}], ":=", 
     RowBox[{"First", "@", 
      RowBox[{"Timing", "[", 
       RowBox[{"f", "/@", 
        RowBox[{"Range", "[", 
         RowBox[{"0.", ",", "nEvaluations"}], "]"}]}], "]"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"time", "[", 
      RowBox[{"#", ",", "1000"}], "]"}], "&"}], "/@", 
    RowBox[{"{", 
     RowBox[{"uSteady1", ",", "uSteady2"}], "}"}]}]}]}]], "Input",
 CellChangeTimes->{{3.6783531011875*^9, 3.678353278671875*^9}, {
  3.678353315640625*^9, 3.678353379359375*^9}, {3.67835347109375*^9, 
  3.67835347453125*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "response", " ", "of", " ", "the", " ", "system", " ", "when", " ", "we", 
     " ", "first", " ", "switch", " ", "the", " ", "voltage", " ", "from", 
     " ", "0", " ", "to", " ", "the", " ", "value", " ", "corresponding", " ",
      "to", " ", "the", " ", "first", " ", "steady", " ", "\[Omega]1"}], ",", 
    " ", 
    RowBox[{
     RowBox[{"i", ".", "e", ".", " ", "u1"}], "=", 
     RowBox[{"uSteady2", "[", "\[Omega]1", "]"}]}], ",", " ", 
    RowBox[{
    "wait", " ", "till", " ", "the", " ", "steady", " ", "state", " ", "is", 
     " ", "nearly", " ", "reached"}], ",", " ", 
    RowBox[{
    "then", " ", "we", " ", "switch", "  ", "the", " ", "voltage", " ", 
     "from", " ", "u1", " ", "to", " ", "the", " ", "value", " ", 
     "corresponding", " ", "to", " ", "the", " ", "first", " ", "steady", " ",
      "\[Omega]2"}], ",", " ", 
    RowBox[{
     RowBox[{"i", ".", "e", ".", " ", "u2"}], "=", 
     RowBox[{"uSteady2", "[", "\[Omega]2", "]"}]}], ",", " ", 
    RowBox[{
    "wait", " ", "till", " ", "the", " ", "steady", " ", "state", " ", "is", 
     " ", "nearly", " ", "reached"}]}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"ClearAll", "[", 
     RowBox[{"sol1", ",", "t"}], "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"sol1", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"omegas", ":", 
         RowBox[{"{", 
          RowBox[{"\[Omega]1_", ",", "\[Omega]2_"}], "}"}]}], ",", "tsol_"}], 
       "}"}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
        "u1", ",", "u2", ",", "step", ",", "uu", ",", "rce", ",", "res"}], 
        "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         RowBox[{"{", 
          RowBox[{"u1", ",", "u2"}], "}"}], "=", 
         RowBox[{"uSteady2", "/@", "omegas"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"step", "=", "UnitStep"}], ";", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"uu", "[", "t_", "]"}], ":=", 
         RowBox[{
          RowBox[{"u1", "*", 
           RowBox[{"step", "[", 
            RowBox[{"t", "-", "0"}], "]"}]}], "+", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"u2", "-", "u1"}], ")"}], "*", 
           RowBox[{"step", "[", 
            RowBox[{"t", "-", "tsol"}], "]"}]}]}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"rce", "=", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"Union", "[", 
             RowBox[{"pocs", ",", "rcedif"}], "]"}], "/.", 
            RowBox[{"u", "\[Rule]", 
             RowBox[{"uu", "[", "t", "]"}]}]}], ")"}], "/.", "dos1"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"res", "=", 
         RowBox[{
          RowBox[{"NDSolve", "[", 
           RowBox[{"rce", ",", "nezname", ",", 
            RowBox[{"{", 
             RowBox[{"t", ",", "0", ",", 
              RowBox[{"2", "*", "tsol"}]}], "}"}]}], "]"}], "[", 
          RowBox[{"[", "1", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{"res", ",", 
          RowBox[{
           RowBox[{"Evaluate", "[", 
            RowBox[{
             RowBox[{"uu", "[", "t", "]"}], "/.", 
             RowBox[{"t", "\[Rule]", "#"}]}], "]"}], "&"}]}], "}"}]}]}], 
      "\[IndentingNewLine]", "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"pom", "=", 
     RowBox[{"\[Omega]", "/.", 
      RowBox[{
       RowBox[{"sol1", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"20", ",", "40"}], "}"}], ",", "10"}], "}"}], "]"}], "[", 
       RowBox[{"[", "1", "]"}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"time", "[", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"\[Omega]", "/.", 
          RowBox[{
           RowBox[{"sol1", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"20", ",", 
                RowBox[{"20", "+", "#"}]}], "}"}], ",", "10"}], "}"}], "]"}], 
           "[", 
           RowBox[{"[", "1", "]"}], "]"}]}], ")"}], "[", "0.5", "]"}], "&"}], 
      ",", "40"}], "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Plot", "[", 
     RowBox[{
      RowBox[{"pom", "[", "t", "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"t", ",", "0", ",", "20"}], "}"}], ",", 
      RowBox[{"PlotLabel", "\[Rule]", 
       RowBox[{"\"\<time= \>\"", "<>", 
        RowBox[{"ToString", "[", "%", "]"}], "<>", "\"\< s\>\""}]}], ",", 
      RowBox[{"PlotStyle", "\[Rule]", "Thick"}], ",", 
      RowBox[{"GridLines", "\[Rule]", "Automatic"}], ",", 
      RowBox[{"AxesLabel", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
        "\"\<t [s]\>\"", ",", 
         "\"\<\[Omega] [\!\(\*SuperscriptBox[\(s\), \(-1\)]\)]\>\""}], 
        "}"}]}]}], "]"}], ";"}]}]}]], "Input",
 CellChangeTimes->{{3.678353505140625*^9, 3.67835357303125*^9}, {
  3.678353620125*^9, 3.6783539295*^9}, {3.6783539660625*^9, 
  3.6783540546875*^9}, {3.67835410746875*^9, 3.678354122296875*^9}, {
  3.678354281*^9, 3.678354525046875*^9}, {3.6783545614375*^9, 
  3.678354851234375*^9}, {3.678354992359375*^9, 3.67835509740625*^9}, {
  3.678355674046875*^9, 3.67835570271875*^9}, {3.678355889984375*^9, 
  3.678356097140625*^9}, {3.678438857828125*^9, 3.678438861765625*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"continuous", " ", "access"}], ",", " ", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"we", " ", "can", " ", "see", " ", "no", " ", "profit"}], 
       "..."}], "now"}], "..."}]}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"Plot", "[", 
     RowBox[{
      RowBox[{"0.5", "*", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"Tanh", "[", 
          RowBox[{"20", "t"}], "]"}]}], ")"}]}], ",", 
      RowBox[{"{", 
       RowBox[{"t", ",", 
        RowBox[{"-", "1"}], ",", "1"}], "}"}]}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ClearAll", "[", 
     RowBox[{"sol1", ",", "t"}], "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"sol1", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"omegas", ":", 
         RowBox[{"{", 
          RowBox[{"\[Omega]1_", ",", "\[Omega]2_"}], "}"}]}], ",", "tsol_"}], 
       "}"}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
        "u1", ",", "u2", ",", "step", ",", "uu", ",", "rce", ",", "res"}], 
        "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         RowBox[{"{", 
          RowBox[{"u1", ",", "u2"}], "}"}], "=", 
         RowBox[{"uSteady2", "/@", "omegas"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"step", "=", 
         RowBox[{
          RowBox[{"0.5", "*", 
           RowBox[{"(", 
            RowBox[{"1", "+", 
             RowBox[{"Tanh", "[", 
              RowBox[{"20", "#"}], "]"}]}], ")"}]}], "&"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"uu", "[", "t_", "]"}], ":=", 
         RowBox[{
          RowBox[{"u1", "*", 
           RowBox[{"step", "[", 
            RowBox[{"t", "-", "0"}], "]"}]}], "+", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"u2", "-", "u1"}], ")"}], "*", 
           RowBox[{"step", "[", 
            RowBox[{"t", "-", "tsol"}], "]"}]}]}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"rce", "=", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"Union", "[", 
             RowBox[{"pocs", ",", "rcedif"}], "]"}], "/.", 
            RowBox[{"u", "\[Rule]", 
             RowBox[{"uu", "[", "t", "]"}]}]}], ")"}], "/.", "dos1"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"res", "=", 
         RowBox[{
          RowBox[{"NDSolve", "[", 
           RowBox[{"rce", ",", "nezname", ",", 
            RowBox[{"{", 
             RowBox[{"t", ",", "0", ",", 
              RowBox[{"2", "*", "tsol"}]}], "}"}]}], "]"}], "[", 
          RowBox[{"[", "1", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{"res", ",", 
          RowBox[{
           RowBox[{"Evaluate", "[", 
            RowBox[{
             RowBox[{"uu", "[", "t", "]"}], "/.", 
             RowBox[{"t", "\[Rule]", "#"}]}], "]"}], "&"}]}], "}"}]}]}], 
      "\[IndentingNewLine]", "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"pom", "=", 
     RowBox[{"\[Omega]", "/.", 
      RowBox[{
       RowBox[{"sol1", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"20", ",", "40"}], "}"}], ",", "10"}], "}"}], "]"}], "[", 
       RowBox[{"[", "1", "]"}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"time", "[", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"\[Omega]", "/.", 
          RowBox[{
           RowBox[{"sol1", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"20", ",", 
                RowBox[{"20", "+", "#"}]}], "}"}], ",", "10"}], "}"}], "]"}], 
           "[", 
           RowBox[{"[", "1", "]"}], "]"}]}], ")"}], "[", "0.5", "]"}], "&"}], 
      ",", "40"}], "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Plot", "[", 
     RowBox[{
      RowBox[{"pom", "[", "t", "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"t", ",", "0", ",", "20"}], "}"}], ",", 
      RowBox[{"PlotLabel", "\[Rule]", 
       RowBox[{"\"\<time= \>\"", "<>", 
        RowBox[{"ToString", "[", "%", "]"}], "<>", "\"\< s\>\""}]}], ",", 
      RowBox[{"PlotStyle", "\[Rule]", "Thick"}], ",", 
      RowBox[{"GridLines", "\[Rule]", "Automatic"}], ",", 
      RowBox[{"AxesLabel", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
        "\"\<t [s]\>\"", ",", 
         "\"\<\[Omega] [\!\(\*SuperscriptBox[\(s\), \(-1\)]\)]\>\""}], 
        "}"}]}]}], "]"}], ";"}], "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.6783561149375*^9, 3.678356285765625*^9}, {
  3.678358226625*^9, 3.678358243515625*^9}, {3.678438867125*^9, 
  3.678438871109375*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"adding", " ", "PID", " ", "controller"}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"ClearAll", "[", 
     RowBox[{"\[Omega]desired", ",", "step"}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\[Omega]1", ",", "\[Omega]2"}], "}"}], "=", 
     RowBox[{"{", 
      RowBox[{"20", ",", "40"}], "}"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"tStart", "=", 
     RowBox[{"-", "5"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"tsol", "=", "10"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"step", "=", 
     RowBox[{
      RowBox[{"0.5", "*", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"Tanh", "[", 
          RowBox[{"1", "#"}], "]"}]}], ")"}]}], "&"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"\[Omega]desired", "[", "t_", "]"}], ":=", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"\[Omega]1", "*", 
       RowBox[{"step", "[", 
        RowBox[{"t", "-", "0"}], "]"}]}], "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"\[Omega]2", "-", "\[Omega]1"}], ")"}], "*", 
       RowBox[{"step", "[", 
        RowBox[{"t", "-", "tsol"}], "]"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{
      RowBox[{"\[Omega]desired", "[", "t_", "]"}], ":=", 
      RowBox[{"2.5", "*", 
       RowBox[{"(", 
        RowBox[{"t", "-", "tStart"}], ")"}]}]}], ";"}], "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"\[Omega]desired", "[", "t", "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", "tStart", ",", 
       RowBox[{"2", "tsol"}]}], "}"}]}], "]"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.6783582938125*^9, 3.678358466171875*^9}, {
   3.678358496953125*^9, 3.678358539609375*^9}, {3.6783585745*^9, 
   3.678358655765625*^9}, {3.67835869565625*^9, 3.678358797984375*^9}, {
   3.67835933484375*^9, 3.678359336421875*^9}, {3.6783603835625*^9, 
   3.678360389765625*^9}, 3.678360573546875*^9, 3.67836075315625*^9, {
   3.678425156453125*^9, 3.678425197015625*^9}, 3.67843888196875*^9, 
   3.67843902784375*^9, 3.67843907378125*^9, 3.678439143609375*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"rcedifreg", "=", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"u", "[", "t", "]"}], "\[Equal]", 
       RowBox[{
        RowBox[{"La", "*", 
         RowBox[{
          RowBox[{"ia", "'"}], "[", "t", "]"}]}], "+", 
        RowBox[{"Ra", "*", 
         RowBox[{"ia", "[", "t", "]"}]}], "+", 
        RowBox[{"ui", "[", "t", "]"}]}]}], ",", 
      RowBox[{
       RowBox[{"J", "*", 
        RowBox[{
         RowBox[{"\[Omega]", "'"}], "[", "t", "]"}]}], "\[Equal]", 
       RowBox[{
        RowBox[{"k", "*", 
         RowBox[{"ia", "[", "t", "]"}]}], "-", 
        RowBox[{"B", "*", 
         RowBox[{"\[Omega]", "[", "t", "]"}]}], "-", 
        RowBox[{"kz", "*", 
         SuperscriptBox[
          RowBox[{"\[Omega]", "[", "t", "]"}], "2"], "*", 
         RowBox[{"sign", "[", 
          RowBox[{"\[Omega]", "[", "t", "]"}], "]"}]}]}]}]}], "}"}], "/.", 
    RowBox[{
     RowBox[{"ui", "[", "t", "]"}], "->", 
     RowBox[{"k", "*", 
      RowBox[{"\[Omega]", "[", "t", "]"}]}]}]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.67843896134375*^9, 3.678438969015625*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"s1", "=", 
   RowBox[{
    RowBox[{"Solve", "[", 
     RowBox[{
      RowBox[{"rcedifreg", "[", 
       RowBox[{"[", "1", "]"}], "]"}], ",", 
      RowBox[{
       RowBox[{"ia", "'"}], "[", "t", "]"}]}], "]"}], "[", 
    RowBox[{"[", "1", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"dia", "[", 
    RowBox[{"ia_", ",", "u_", ",", "\[Omega]_"}], "]"}], "=", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         SuperscriptBox["ia", "\[Prime]",
          MultilineFunction->None], "[", "t", "]"}], "/.", "s1"}], ")"}], "/.", 
      RowBox[{
       RowBox[{"a_", "[", "t", "]"}], "\[RuleDelayed]", "a"}]}], ")"}], "/.", 
    RowBox[{"DeleteCases", "[", 
     RowBox[{"dos1", ",", 
      RowBox[{"u", "\[Rule]", "_"}]}], "]"}]}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.6784366381875*^9, 3.678436654015625*^9}, {
  3.6784366943125*^9, 3.67843675678125*^9}, {3.67843680534375*^9, 
  3.678436879828125*^9}, {3.6784387294375*^9, 3.678438731328125*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"s2", "=", 
   RowBox[{
    RowBox[{"Solve", "[", 
     RowBox[{
      RowBox[{"rcedifreg", "[", 
       RowBox[{"[", "2", "]"}], "]"}], ",", 
      RowBox[{
       SuperscriptBox["\[Omega]", "\[Prime]",
        MultilineFunction->None], "[", "t", "]"}]}], "]"}], "[", 
    RowBox[{"[", "1", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"d\[Omega]", "[", 
    RowBox[{"ia_", ",", "u_", ",", "\[Omega]_"}], "]"}], "=", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         SuperscriptBox["\[Omega]", "\[Prime]",
          MultilineFunction->None], "[", "t", "]"}], "/.", "s2"}], ")"}], "/.", 
      RowBox[{
       RowBox[{"a_", "[", "t", "]"}], "\[RuleDelayed]", "a"}]}], ")"}], "/.", 
    RowBox[{"DeleteCases", "[", 
     RowBox[{"dos1", ",", 
      RowBox[{"u", "\[Rule]", "_"}]}], "]"}]}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.678436920765625*^9, 3.67843700365625*^9}, {
  3.6784387335625*^9, 3.678438735328125*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"dosd2\[Omega]", "=", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"D", "[", 
       RowBox[{"s2", ",", "t"}], "]"}], "/.", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{
          SuperscriptBox["\[Omega]", "\[Prime]",
           MultilineFunction->None], "[", "t", "]"}], "->", 
         RowBox[{"d\[Omega]", "[", 
          RowBox[{"ia", ",", "u", ",", "\[Omega]"}], "]"}]}], ",", 
        RowBox[{
         RowBox[{
          RowBox[{"ia", "'"}], "[", "t", "]"}], "->", 
         RowBox[{"dia", "[", 
          RowBox[{"ia", ",", "u", ",", "\[Omega]"}], "]"}]}], ",", 
        RowBox[{
         RowBox[{"\[Omega]", "[", "t", "]"}], "\[Rule]", "\[Omega]"}]}], 
       "}"}]}], ")"}], "/.", 
    RowBox[{
     RowBox[{
      SuperscriptBox["\[Omega]", "\[Prime]\[Prime]",
       MultilineFunction->None], "[", "t", "]"}], "\[Rule]", 
     "d2\[Omega]"}]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.678437589953125*^9, 3.678437751203125*^9}, 
   3.678438738109375*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"ClearAll", "[", "du", "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"eqnreg1", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"u", "'"}], "[", "t", "]"}], "\[Equal]", 
       RowBox[{
        RowBox[{"kp", "*", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"d\[Omega]des", "[", "t", "]"}], "-", 
           RowBox[{
            RowBox[{"\[Omega]", "'"}], "[", "t", "]"}]}], ")"}]}], "+", 
        RowBox[{"ki", "*", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"\[Omega]des", "[", "t", "]"}], "-", 
           RowBox[{"\[Omega]", "[", "t", "]"}]}], ")"}]}], "+", 
        RowBox[{"kd", "*", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"d2\[Omega]des", "[", "t", "]"}], "-", 
           RowBox[{"d2\[Omega]", "[", "t", "]"}]}], ")"}]}]}]}], "}"}], "/.", 
     "s2"}], "//", "Simplify"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"s3", "=", 
   RowBox[{
    RowBox[{"Solve", "[", 
     RowBox[{"eqnreg1", ",", 
      RowBox[{
       RowBox[{"u", "'"}], "[", "t", "]"}]}], "]"}], "[", 
    RowBox[{"[", "1", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"du", "[", 
    RowBox[{
     RowBox[{"consts", ":", 
      RowBox[{"{", 
       RowBox[{"kp_", ",", "ki_", ",", "kd_"}], "}"}]}], ",", 
     RowBox[{"stav", ":", 
      RowBox[{"{", 
       RowBox[{"\[Omega]_", ",", "ia_", ",", "u_"}], "}"}]}], ",", 
     RowBox[{"vstup", ":", 
      RowBox[{"{", 
       RowBox[{"\[Omega]des_", ",", "d\[Omega]des_", ",", "d2\[Omega]des_"}], 
       "}"}]}]}], "]"}], "=", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           SuperscriptBox["u", "\[Prime]",
            MultilineFunction->None], "[", "t", "]"}], "/.", "s3"}], ")"}], "/.", 
        RowBox[{
         RowBox[{"a_", "[", "t", "]"}], "\[RuleDelayed]", "a"}]}], ")"}], "/.",
       "dosd2\[Omega]"}], ")"}], "/.", 
    RowBox[{"DeleteCases", "[", 
     RowBox[{"dos1", ",", 
      RowBox[{"u", "\[Rule]", "_"}]}], "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"du", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"1", ",", "2", ",", "1"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"0", ",", "0", ",", "1"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"1", ",", "1", ",", "1"}], "}"}]}], "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.6784370608125*^9, 3.678437116671875*^9}, {
   3.6784372029375*^9, 3.678437230296875*^9}, {3.678437327640625*^9, 
   3.6784374484375*^9}, 3.678437490890625*^9, {3.678437806140625*^9, 
   3.678437881203125*^9}, 3.678437934046875*^9, {3.67843800225*^9, 
   3.678438008140625*^9}, 3.678438741484375*^9, {3.678438983390625*^9, 
   3.6784389860625*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"consts", "=", 
   RowBox[{"{", 
    RowBox[{"10", ",", ".2", ",", ".01"}], "}"}]}], ";", 
  RowBox[{"(*", 
   RowBox[{"{", 
    RowBox[{"kp", ",", "ki", ",", "kd"}], "}"}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"vectder", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"stav", ":", 
       RowBox[{"{", 
        RowBox[{"\[Omega]_", ",", "ia_", ",", "u_"}], "}"}]}], ",", "t_"}], 
     "}"}], "]"}], ":=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"dia", "[", 
      RowBox[{"ia", ",", "u", ",", "\[Omega]"}], "]"}], ",", 
     RowBox[{"d\[Omega]", "[", 
      RowBox[{"ia", ",", "u", ",", "\[Omega]"}], "]"}], ",", 
     RowBox[{"du", "[", 
      RowBox[{"consts", ",", "stav", ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"\[Omega]desired", "[", "t", "]"}], ",", 
         RowBox[{"\[Omega]desired", "[", "t", "]"}], ",", 
         RowBox[{"\[Omega]desired", "[", "t", "]"}]}], "}"}]}], "]"}]}], 
    "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"vectder", "[", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", "1"}], "}"}], "]"}], 
  ";"}], "\n", 
 RowBox[{
  RowBox[{"eqns1", "=", 
   RowBox[{"Thread", "[", 
    RowBox[{
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"\[Omega]", "[", "t", "]"}], ",", 
         RowBox[{"ia", "[", "t", "]"}], ",", 
         RowBox[{"u", "[", "t", "]"}]}], "}"}], ",", "t"}], "]"}], "==", 
     RowBox[{"vectder", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"\[Omega]", "[", "t", "]"}], ",", 
          RowBox[{"ia", "[", "t", "]"}], ",", 
          RowBox[{"u", "[", "t", "]"}]}], "}"}], ",", "t"}], "}"}], "]"}]}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"pocs1", "=", 
   RowBox[{"Union", "@", 
    RowBox[{"Cases", "[", 
     RowBox[{"eqns1", ",", 
      RowBox[{
       RowBox[{
        RowBox[{"a_", "'"}], "[", "t", "]"}], "\[RuleDelayed]", 
       RowBox[{
        RowBox[{"a", "[", "tStart", "]"}], "\[Equal]", "0"}]}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "\[Infinity]"}], "}"}]}], "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"nezname1", "=", 
   RowBox[{"pocs1", "/.", 
    RowBox[{
     RowBox[{
      RowBox[{"a_", "[", "_", "]"}], "\[Equal]", "0"}], "\[RuleDelayed]", 
     "a"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"res1", "=", 
  RowBox[{
   RowBox[{"NDSolve", "[", 
    RowBox[{
     RowBox[{"Union", "[", 
      RowBox[{"eqns1", ",", "pocs1"}], "]"}], ",", "nezname1", ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", "tStart", ",", 
       RowBox[{"2", "*", "tsol"}]}], "}"}], ",", 
     RowBox[{"SolveDelayed", "\[Rule]", "True"}], ",", 
     RowBox[{"MaxSteps", "\[Rule]", 
      SuperscriptBox["10", "6"]}]}], "]"}], "[", 
   RowBox[{"[", "1", "]"}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"\[Omega]", "[", "t", "]"}], "/.", "res1"}], ",", 
    RowBox[{"{", 
     RowBox[{"t", ",", "tStart", ",", 
      RowBox[{"2", "*", "tsol"}]}], "}"}], ",", 
    RowBox[{"PlotStyle", "\[Rule]", "Thick"}], ",", 
    RowBox[{"GridLines", "\[Rule]", "Automatic"}], ",", 
    RowBox[{"AxesLabel", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
      "\"\<t [s]\>\"", ",", 
       "\"\<\[Omega] [\!\(\*SuperscriptBox[\(s\), \(-1\)]\)]\>\""}], "}"}]}], 
    ",", 
    RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
    RowBox[{"AxesOrigin", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"tStart", ",", "0"}], "}"}]}]}], "]"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.678437960140625*^9, 3.67843798203125*^9}, {
  3.678438016140625*^9, 3.67843826378125*^9}, {3.67843874425*^9, 
  3.67843884159375*^9}, {3.678439092703125*^9, 3.67843910025*^9}}],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{
  "udelame", " ", "z", " ", "toho", " ", "pro", " ", "zacatek", " ", "PI", 
   " ", "regulator"}], "*)"}]], "Input",
 CellChangeTimes->{{3.678439199984375*^9, 3.678439215984375*^9}}]
},
WindowSize->{1120, 743},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
ShowSelection->True,
Magnification->1.6000001430511475`,
FrontEndVersion->"8.0 for Microsoft Windows (32-bit) (February 23, 2011)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 7271, 220, 666, "Input"],
Cell[7819, 242, 2367, 67, 327, "Input"],
Cell[10189, 311, 937, 26, 103, "Input"],
Cell[11129, 339, 5461, 139, 530, "Input"],
Cell[16593, 480, 4793, 137, 474, "Input"],
Cell[21389, 619, 2317, 63, 355, "Input"],
Cell[23709, 684, 1134, 33, 110, "Input"],
Cell[24846, 719, 1073, 30, 75, "Input"],
Cell[25922, 751, 1047, 30, 75, "Input"],
Cell[26972, 783, 1042, 30, 75, "Input"],
Cell[28017, 815, 2848, 82, 243, "Input"],
Cell[30868, 899, 3936, 114, 454, "Input"],
Cell[34807, 1015, 223, 5, 46, "Input"]
}
]
*)

(* End of internal cache information *)
